<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$cot_id=limpiar($_GET['cot_id']);
$precio_act=limpiar($_GET['precio_act']);

$sql=mysqli_query($con,"UPDATE cotizacion Set vendedor='$usu_id' Where cot_id='$cot_id' and cot_tipo='PEDIDO' and empresa='$empresa'") or die(mysqli_error($con)); 

$can1=mysqli_query($con,"SELECT * FROM cotizacion where cot_id='$cot_id'") or die(mysqli_error($con)); 
$dat=mysqli_fetch_array($can1);
$cliente_id=$dat['cliente_id'];
$vendedor=$dat['vendedor'];
$observaciones=$dat['observaciones'];

$borrar=mysqli_query($con,"DELETE FROM retencion_temp WHERE empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));
$borrar=mysqli_query($con,"DELETE FROM cliente_venta_temp WHERE empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));
$borrar=mysqli_query($con,"DELETE FROM seriales_temp WHERE usuario='$usu_id'") or die(mysqli_error($con));
$borrar=mysqli_query($con,"DELETE FROM venta_detalle_sabores_temp WHERE usuario='$usu_id'") or die(mysqli_error($con));
$borrar=mysqli_query($con,"DELETE FROM venta_detalle_temp WHERE empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));
$borrar=mysqli_query($con,"DELETE FROM venta_detalle_temp_lote WHERE usuario='$usu_id'") or die(mysqli_error($con));
$borrar=mysqli_query($con,"DELETE FROM venta_detalle_combo_sabores_temp WHERE usuario='$usu_id'") or die(mysqli_error($con));
$borrar=mysqli_query($con,"DELETE FROM venta_detalle_combo_temp WHERE empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));

$registros=mysqli_query($con,"INSERT into cliente_venta_temp (cvt_clie_id,usuario,vendedor,comentario,empresa)
VALUES ('$cliente_id','$usu_id','$vendedor','$observaciones','$empresa')") or die(mysqli_error($con));       
     
$can7=mysqli_query($con,"SELECT * FROM cotizacion_detalle where cotizacion_cot_id='$cot_id' and cotd_tipo<>'nuevo' and empresa='$empresa'") or die(mysqli_error($con));  
while($dato=mysqli_fetch_array($can7))
{
    $cotd_id=$dato['cotd_id'];
    $art_id_bod=$dato['art_id_bod'];
    $cotd_art_id=$dato['cotd_art_id'];
    $cotd_referencia=$dato['cotd_referencia']; 
    $cotd_nombre=$dato['cotd_nombre'];           
    $cotd_unidad=$dato['cotd_unidad']; 
    $cotd_x_cantidad=$dato['cotd_x_cantidad'];            
    $cotd_tipo=$dato['cotd_tipo'];           
    $cotd_cantidad=$dato['cotd_cantidad'];            
    $cotd_iva=$dato['cotd_iva'];
    $cotd_desc=$dato['cotd_desc'];
    if($precio_act=='no')
    {
        $cotd_precio=$dato['cotd_precio'];
    }
    else
    {
        $can_art=mysqli_query($con,"SELECT * FROM articulos where art_id='$cotd_art_id'") or die(mysqli_error($con)); 
        $dato_art=mysqli_fetch_array($can_art);
        $cotd_precio=$dato_art['art_pvp'];
    }

    $can=mysqli_query($con,"SELECT MAX(vent_id)as vent_id FROM venta_detalle_temp") or die(mysqli_error($con)); 
    $datov=mysqli_fetch_array($can);
    $vent_id=$datov['vent_id']+1;


    $can8=mysqli_query($con,"INSERT INTO venta_detalle_temp (vent_id,art_art_id,vent_art_id,vent_referencia,vent_nombre,vent_unidad,vent_x_cantidad,vent_cantidad,vent_iva,vent_desc,vent_precio,vent_tipo,usuario,empresa) 
    VALUES ('$vent_id','$art_id_bod','$cotd_art_id','$cotd_referencia','$cotd_nombre','$cotd_unidad','$cotd_x_cantidad','$cotd_cantidad','$cotd_iva','$cotd_desc','$cotd_precio','$cotd_tipo','$usu_id','$empresa')") or die(mysqli_error($con));  

    //sabores
    $can9=mysqli_query($con,"SELECT * FROM cotizacion_sabores_producto where cotd_id='$cotd_id'") or die(mysqli_error($con));  
    while($dato9=mysqli_fetch_array($can9))
    {
        $sab_id=$dato9['sab_id'];
        $sab_nombre=$dato9['sab_nombre'];
        $art_id=$dato9['art_id'];
        $can8=mysqli_query($con,"INSERT INTO venta_detalle_sabores_temp (sab_id,sab_nombre,art_id,usuario,vend_id) 
        VALUES ('$sab_id','$sab_nombre','$art_id','$usu_id','$vent_id')") or die(mysqli_error($con)); 
    }

    //lotes
    $can10=mysqli_query($con,"SELECT * FROM cotizacion_detalle_lote where cotd_id_detalle='$cotd_id'") or die(mysqli_error($con));  
    while($dato10=mysqli_fetch_array($can10))
    {
        $kar_id=$dato10['kar_id'];
        $kar_lote=$dato10['kar_lote'];
        $kar_cantidad=$dato10['kar_cantidad'];
        $cotd_id_detalle=$dato10['cotd_id_detalle'];
        $can11=mysqli_query($con,"INSERT INTO venta_detalle_temp_lote (kar_id,kar_lote,kar_cantidad,usuario,vetl_id_detalle_temp) 
        VALUES ('$kar_id','$kar_lote','$kar_cantidad','$usu_id','$vent_id')") or die(mysqli_error($con)); 
    }

}

$can7=mysqli_query($con,"SELECT * FROM cotizacion_detalle_combo where cot_id='$cot_id'") or die(mysqli_error($con));  
while($dato=mysqli_fetch_array($can7))
{
    $cdc_id=$dato['cdc_id'];
    $combo_id=$dato['combo_id'];
    $combo_cantidad=$dato['combo_cantidad'];
    $combo_nombre=$dato['combo_nombre']; 
    $combo_precio=$dato['combo_precio'];

    $com_iv=mysqli_query($con,"SELECT * FROM combos where com_id='$combo_id'") or die(mysqli_error($con)); 
    $row_iv=mysqli_fetch_array($com_iv);
    $com_iva=$datov['com_iva'];

    $can=mysqli_query($con,"SELECT MAX(vdc_id)as vdc_id FROM venta_detalle_combo_temp") or die(mysqli_error($con)); 
    $datov=mysqli_fetch_array($can);
    $vdc_id=$datov['vdc_id']+1;

    $can8=mysqli_query($con,"INSERT INTO venta_detalle_combo_temp (vdc_id,combo_id,combo_cantidad,combo_nombre,combo_iva,combo_desc,combo_precio,usuario,empresa) 
    VALUES ('$vdc_id','$combo_id','$combo_cantidad','$combo_nombre','$com_iva','0','$combo_precio','$usu_id','$empresa')") or die(mysqli_error($con));  

    $can9=mysqli_query($con,"SELECT * FROM cotizacion_sabores_combo where cdc_id='$cdc_id'") or die(mysqli_error($con));  
    while($dato9=mysqli_fetch_array($can9))
    {
        $sab_id=$dato9['sab_id'];
        $sab_nombre=$dato9['sab_nombre'];
        $com_id=$dato9['com_id'];
        $can8=mysqli_query($con,"INSERT INTO venta_detalle_combo_sabores_temp (sab_id,sab_nombre,com_id,usuario,vdc_id) 
                    VALUES ('$sab_id','$sab_nombre','$com_id','$usu_id','$vdc_id')") or die(mysqli_error($con)); 
    }

}


// 1. Obtener todas las retenciones del usuario con su información
$sql="SELECT t.ret_base, t.ret_importe,t.retencion_ret_id FROM retencion_cotizacion t
    INNER JOIN retencion r ON r.ret_id = t.retencion_ret_id AND r.empresa = t.empresa
    WHERE  t.empresa = '$empresa' and t.cotizacion_cot_id='$cot_id'";

$res=mysqli_query($con, $sql) or die(mysqli_error($con));
// 2. Insertar cada una por separado (pero sin SELECT repetidos)
while ($row = mysqli_fetch_assoc($res)) 
{
    $ret_base       = $row['ret_base'];
    $ret_importe    = $row['ret_importe'];
    $retencion_ret_id     = $row['retencion_ret_id'];

    $insertSql = "INSERT INTO retencion_temp 
        (ret_base, ret_importe, ret_clie_id, usuario, empresa,retencion_ret_id)
        VALUES 
        ('$ret_base', '$ret_importe', '$cliente_id', '$usu_id', '$empresa', '$retencion_ret_id')";
    mysqli_query($con, $insertSql) or die(mysqli_error($con));
}




$sql=mysqli_query($con,"UPDATE cotizacion Set cot_estado ='Facturado' Where cot_id='$cot_id' and empresa='$empresa'") or die(mysqli_error($con));

$tipo=limpiar($_GET['tipo']);
if($tipo=='venta')
{
    echo '<script> setTimeout("history.back(1)", 0); </script>';
    header('Location: ../P_facturar.php');
}
else
{
   echo '<script> setTimeout("history.back(1)", 0); </script>';
    header('Location: ../P_facturar_remision.php');
}

?>
